> ## Documentation Index
> Fetch the complete documentation index at: https://docs.avnu.fi/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Token

> Fetch detailed information for a specific token

## Overview

Returns detailed information for a specific token by its contract address or symbol.

## Path Parameters

<ParamField path="addressOrSymbol" type="string" required>
  Token contract address (hex format) or symbol (e.g., "ETH", "USDC")
</ParamField>

## Response

<ResponseField name="address" type="string" required>
  Token contract address (hex format)
</ResponseField>

<ResponseField name="name" type="string" required>
  Token name (e.g., "Ether", "USD Coin")
</ResponseField>

<ResponseField name="symbol" type="string" required>
  Token symbol (e.g., "ETH", "USDC")
</ResponseField>

<ResponseField name="decimals" type="integer" required>
  Token decimals
</ResponseField>

<ResponseField name="logoUri" type="string">
  URL to token logo image (nullable)
</ResponseField>

<ResponseField name="lastDailyVolumeUsd" type="number" required>
  Last 24h trading volume in USD
</ResponseField>

<ResponseField name="extensions" type="object" required>
  Additional token metadata
</ResponseField>

<ResponseField name="tags" type="array" required>
  Token tags: `Unknown`, `Verified`, `Community`, `Unruggable`, `AVNU`
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl "https://starknet.api.avnu.fi/v1/starknet/tokens/0x049d36570d4e46f48e99674bd3fcc84644ddd6b96f7c741b1562b82f9e004dc7"
  ```

  ```typescript TypeScript theme={null}
  const tokenAddress = '0x049d36570d4e46f48e99674bd3fcc84644ddd6b96f7c741b1562b82f9e004dc7';

  const response = await fetch(
    `https://starknet.api.avnu.fi/v1/starknet/tokens/${tokenAddress}`
  );

  const token = await response.json();
  console.log(`${token.symbol}: ${token.name}`);
  console.log(`Decimals: ${token.decimals}`);
  console.log(`Tags: ${token.tags.join(', ')}`);
  ```

  ```python Python theme={null}
  import requests

  token_address = '0x049d36570d4e46f48e99674bd3fcc84644ddd6b96f7c741b1562b82f9e004dc7'

  response = requests.get(
      f'https://starknet.api.avnu.fi/v1/starknet/tokens/{token_address}'
  )

  token = response.json()
  print(f"{token['symbol']}: {token['name']}")
  print(f"Decimals: {token['decimals']}")
  print(f"Tags: {', '.join(token['tags'])}")
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "name": "Ether",
    "address": "0x049d36570d4e46f48e99674bd3fcc84644ddd6b96f7c741b1562b82f9e004dc7",
    "symbol": "ETH",
    "decimals": 18,
    "logoUri": "https://assets.avnu.fi/tokens/eth.svg",
    "lastDailyVolumeUsd": 12847392,
    "extensions": {},
    "tags": ["Verified"]
  }
  ```
</ResponseExample>
